### Method

# Clutter Text set_font_name

#### Declaration [src]

    void
    clutter_text_set_font_name (
      ClutterText* self,
      const gchar* font_name
    )

#### Description [src]

Sets the font used by a `ClutterText`. The `font_name` string must either be `NULL`, which means that the font name from the default `ClutterBackend` will be used; or be something that can be parsed by the `pango_font_description_from_string()` function, like:

      // Set the font to the system's Sans, 10 points
      clutter_text_set_font_name (text, "Sans 10");

      // Set the font to the system's Serif, 16 pixels
      clutter_text_set_font_name (text, "Serif 16px");

      // Set the font to Helvetica, 10 points
      clutter_text_set_font_name (text, "Helvetica 10");

Sets property | `Clutter.Text:font-name`

#### Parameters

`font_name`

  Type: `const gchar*`

  A font name, or `NULL` to set the default font name.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.